| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AliasMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- AliasMap ()
- AliasMap (const QMap< uint, QString > &a)
- AliasMap & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt type system.

A dictionary whose keys are contact handles and whose values are aliases.

## Constructor & Destructor Documentation

Tp::AliasMap::AliasMap | ( |  | ) | `[inline]`

Tp::AliasMap::AliasMap | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

AliasMap& Tp::AliasMap::operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`